Skip to main content
GET
/
reference-data
/
sources
/
{datasetKey}
Retrieve a single reference data source by dataset key
curl --request GET \
  --url https://api.artu.ai/reference-data/sources/{datasetKey} \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Environment: <api-key>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "datasetKey": "<string>",
  "scope": "<string>",
  "lastScrapedAt": "2023-11-07T05:31:56Z",
  "lastSuccessAt": "2023-11-07T05:31:56Z",
  "recordCount": 0,
  "schemaVersion": 0,
  "contentHash": "<string>",
  "sourceUrl": "<string>",
  "label": "<string>",
  "tableName": "<string>",
  "columns": [
    {
      "source": "<string>",
      "alias": "<string>",
      "type": "<string>",
      "label": "<string>",
      "filterable": true,
      "sortable": true
    }
  ],
  "scrapeMetadata": {},
  "currentSnapshotAt": "2023-11-07T05:31:56Z",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the dashboard.

X-Environment
string
header
required

Target environment for the request. Must be "test" or "live".

Path Parameters

datasetKey
string
required
Minimum string length: 1

Response

200 - application/json

OK

id
string<uuid>
required
datasetKey
string
required
scope
string
required
lastScrapedAt
string<date-time> | null
required
lastSuccessAt
string<date-time> | null
required
recordCount
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991
schemaVersion
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991
contentHash
string | null
required
sourceUrl
string | null
required
label
string | null
required
tableName
string | null
required
columns
object[]
required
scrapeMetadata
object
required
currentSnapshotAt
string<date-time> | null
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required